# Package org.simpleframework.transport

- Interface Summary
  Interface | Description
  --- | ---
  Cursor | The `Cursor` object is used to acquire bytes from a given source.
  Processor | This is the `Processor` used to process HTTP requests from a connected transport.
  Server | The `Server` interface represents a handler that is used to process `Socket` objects.
  Socket | This is a `Socket` interface that is used to represent a socket.
  Transport | The `Transport` interface represents a low level means to deliver content to the connected client.

- Class Summary
  Class | Description
  --- | ---
  ProcessorServer | The `ProcessorServer` is used to convert pipelines to transports.
  TransportCursor | The `TransportCursor` object represents a cursor that can read and buffer data from an underlying transport.

- Exception Summary
  Exception | Description
  --- | ---
  TransportException | The `TransportException` object is thrown when there is a problem with the transport.